#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2010 Magnun Leno da Silva
#
# This file is part of Beholder
#
# Beholder is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Beholder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Beholder.  If not, see <http://www.gnu.org/licenses/>.
#

import locale
import gettext
from os.path import exists
from os.path import sep as SEP

locale.setlocale(locale.LC_ALL, '')

if exists("src") and exists("data") and exists("locale") and exists("beholderlib"):
    # Running from beholder file (not installed)
    gettext.bindtextdomain('beholder', SEP.join(['.','locale']))
    ICONS_PATH = SEP.join(__file__.split(SEP)[:-2]+['data', 'icons'])
else:
    # Already installed
    gettext.bindtextdomain('beholder', SEP.join(['', 'usr', 'share', 'locale']))
    ICONS_PATH = SEP.join(['','usr','share','icons','beholder'])
    #teste
    
    
    

gettext.textdomain('beholder')
_ = gettext.gettext

import database
from hosts import Host
HOME = database.HOME
db = database.Database()

import widgets

__all__ = ['database', 'hosts', 'widgets']
