#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2010 Magnun Leno da Silva
#
# This file is part of Beholder
#
# Beholder is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Beholder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Beholder.  If not, see <http://www.gnu.org/licenses/>.
#

import gtk
import pygtk
import gobject
from os.path import sep as SEP
import beholderlib as lib
from beholderlib.hosts import BIG_SIZE, DEFAULT_HOST_ICON_NAME

DEFAULT_HOST_ICON = lib.ICONS_PATH + SEP + BIG_SIZE + SEP + DEFAULT_HOST_ICON_NAME

class HostIcon(gtk.Button):
    def __init__(self):
        gtk.Button.__init__(self)
        self.image = gtk.image_new_from_file(DEFAULT_HOST_ICON)
        self.image_path = None
        self.add(self.image)
        self.connect("clicked" ,self.__on_click)

    def __on_click(self, widget):
        img_dlg = lib.widgets.misc.ImageChooserDialog()
        img = img_dlg.show_dialog()
        img_dlg.destroy()
        if img is None:
            return
        else:
            self.image_path = img

        pixbuf = gtk.gdk.pixbuf_new_from_file_at_size(self.image_path, 64, 64)
        self.image.set_from_pixbuf(pixbuf)

    def load_from_file(self, path):
        pixbuf = gtk.gdk.pixbuf_new_from_file_at_size(path, 64, 64)
        self.image.set_from_pixbuf(pixbuf)
        if path == DEFAULT_HOST_ICON:
            self.image_path = None
        else:
            self.image_path = path

