#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2010 Magnun Leno da Silva
#
# This file is part of Beholder
#
# Beholder is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Beholder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Beholder.  If not, see <http://www.gnu.org/licenses/>.
#

import gtk
import pygtk
import gobject

import beholderlib as lib

_ = lib._
SEP = lib.SEP
ICONS_PATH = lib.ICONS_PATH

ICON_SIZE = '24x24'
LIST_TYPES = [
              (_('Alphabetically'),SEP.join([ICONS_PATH]+[ICON_SIZE, 'alph.png'])),
              #(_('Group'),SEP.join([ICONS_PATH]+[ICON_SIZE, 'group.png'])),
              (_('Tags'),SEP.join([ICONS_PATH]+[ICON_SIZE, 'tags.png'])),
             ]

LIST_TYPES = [(gtk.gdk.pixbuf_new_from_file(TYPE[1]), TYPE[0]) for TYPE in LIST_TYPES]


class HostListCombo(gtk.ComboBox):
    __gsignals__ = {
                    'group-selected'  : (gobject.SIGNAL_RUN_LAST, gobject.TYPE_NONE, (gobject.TYPE_INT,))
                   }
    def __init__(self):
        gtk.ComboBox.__init__(self)

        self.contents = gtk.ListStore(gtk.gdk.Pixbuf, str)
        map(self.contents.append, LIST_TYPES)
        self.set_model(self.contents)

        cellpb = gtk.CellRendererPixbuf()
        cellpb.set_property('xalign',0)
        self.pack_start(cellpb, True)
        self.add_attribute(cellpb, 'pixbuf', 0)

        cell = gtk.CellRendererText()
        cell.set_property('xalign',0)
        self.pack_start(cell, True)
        self.add_attribute(cell, 'text', 1)

        self.set_active(0)

        self.connect('changed', self.__on_change)

    def __on_change(self, widget):
        self.emit('group-selected', self.get_active())


