#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2010 Magnun Leno da Silva
#
# This file is part of Beholder
#
# Beholder is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Beholder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Beholder.  If not, see <http://www.gnu.org/licenses/>.
#

import gtk
import pygtk
import gobject

import beholderlib as lib

_ = lib._

class HostnameAlert(gtk.HBox):
    def __init__(self):
        gtk.HBox.__init__(self)
        self.set_spacing(10)

        self.icon = gtk.image_new_from_stock(gtk.STOCK_DIALOG_WARNING, gtk.ICON_SIZE_SMALL_TOOLBAR)
        self.pack_start(self.icon)
        self.icon.set_alignment(1,0.5)

        self.text = gtk.Label()
        self.text.set_markup('<span foreground="red" size="smaller">'+_('This hostname is already in use!')+'</span>')
        self.pack_start(self.text)
        self.text.set_alignment(0,0.5)

        self.hide()

    def on_trigger(self, widget, flag):
        if flag:
            self.show_all()
        else:
            self.hide()

