#!/usr/bin/env python

from distutils.core import setup
import os
import glob
from shutil import copy
from shutil import rmtree

data = [
        ('/usr/share/applications', ['data/beholder.desktop']),
        ('/usr/share/icons/beholder/16x16', glob.glob('data/icons/16x16/*.png')),
        ('/usr/share/icons/beholder/16x16', glob.glob('data/icons/16x16/*.png')),
        ('/usr/share/icons/beholder/24x24', glob.glob('data/icons/24x24/*.png')),
        ('/usr/share/icons/beholder/64x64', glob.glob('data/icons/64x64/*.png')),
        ('/usr/share/icons/beholder/animated', glob.glob('data/icons/animated/*.png')),
        ('/usr/share/icons/beholder/animated', glob.glob('data/icons/animated/*.gif')),
        ('/usr/share/icons/beholder', glob.glob('data/icons/*.png')),
       ]

setup(name='Beholder',
      version='0.1.0',
      description='A multi-tabbed remote connection manager',
      author='Magnun Leno da Silva',
      author_email='magnun.leno [at] gmail.com',
      url='https://launchpad.net/beholder',
      license='LGPL',
      package_dir={ 
                    "beholder":"src/", 
                  },
      packages=[ 
                "beholder",
                "beholder.gui",
                "beholderlib",
                "beholderlib.widgets",
                "beholderlib.widgets.hostproperties",
                "beholderlib.widgets.mainwindow",
                "beholderlib.widgets.misc",
               ],
      scripts=['beholder'],
      data_files=data,
     )
